Debian Bug report logs - #712377
ITP: mapcache -- tile caching server

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Bas Couwenberg <sebastic@xs4all.nl>

Date: Sat, 15 Jun 2013 12:33:01 UTC

Owned by: Bas Couwenberg <sebastic@xs4all.nl>

Severity: wishlist

Fixed in version mapcache/1.2.0-1

Done: Bas Couwenberg <sebastic@xs4all.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#712377; Package wnpp. (Sat, 15 Jun 2013 12:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bas Couwenberg <sebastic@xs4all.nl>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 15 Jun 2013 12:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bas Couwenberg <sebastic@xs4all.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: mapcache -- tile caching server
Date: Sat, 15 Jun 2013 14:21:24 +0200
Package: wnpp
Severity: wishlist
Owner: Bas Couwenberg <sebastic@xs4all.nl>

* Package name    : mapcache
  Version         : 1.0.0
  Upstream Author : Thomas Bonfort and the MapServer team
* URL             : http://mapserver.org/en/mapcache/
* License         : MIT/X with BSD-3-clause and GPL-2+ components.
  Programming Lang: C, Python
  Description     : tile caching server

MapCache is a server that implements tile caching to speed up access to
WMS layers. The primary objectives are to be fast and easily deployable,
while offering the essential features (and more!) expected from a tile
caching solution.



Added blocking bug(s) of 712377: 724924 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Mon, 30 Sep 2013 04:27:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 01 Oct 2013 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to Bas Couwenberg <sebastic@xs4all.nl>:
You have taken responsibility. (Sat, 23 Nov 2013 01:03:20 GMT) Full text and rfc822 format available.

Notification sent to Bas Couwenberg <sebastic@xs4all.nl>:
Bug acknowledged by developer. (Sat, 23 Nov 2013 01:03:20 GMT) Full text and rfc822 format available.

Message #14 received at 712377-close@bugs.debian.org (full text, mbox):

From: Bas Couwenberg <sebastic@xs4all.nl>
To: 712377-close@bugs.debian.org
Subject: Bug#712377: fixed in mapcache 1.2.0-1
Date: Sat, 23 Nov 2013 01:00:16 +0000
Source: mapcache
Source-Version: 1.2.0-1

We believe that the bug you reported is fixed in the latest version of
mapcache, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 712377@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bas Couwenberg <sebastic@xs4all.nl> (supplier of updated mapcache package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 11 Sep 2013 19:16:06 +0200
Source: mapcache
Binary: libmapcache1 libmapcache1-dev mapcache-cgi mapcache-tools libapache2-mod-mapcache
Architecture: source i386
Version: 1.2.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Bas Couwenberg <sebastic@xs4all.nl>
Description: 
 libapache2-mod-mapcache - tile caching server - Apache module
 libmapcache1 - tile caching server - shared library
 libmapcache1-dev - tile caching server - shared library development files
 mapcache-cgi - tile caching server - CGI binary
 mapcache-tools - tile caching server - tools
Closes: 712377
Changes: 
 mapcache (1.2.0-1) unstable; urgency=low
 .
   * New upstream release 1.2.0. (closes: #712377)
   * Update watch file for github releases.
   * Build system changed from autotools to cmake.
   * Drop patches:
     - includepath.patch (no longer required)
     - fixwithmapserv.patch (libtool no longer used)
     - libmapcache_hardening.patch (libtool no longer used)
     - demo_service_js_typos.patch (applied upstream)
     - demo_service_valid_js_var.patch (applied upstream)
     - demo_service_html5_doctype.patch (applied upstream)
     - demo_service_html_charset.patch (applied upstream)
     - demo_service_list_newlines.patch (applied upstream)
     - demo_service_page_height.patch (applied upstream)
     - demo_service_indenting.patch (applied upstream)
     - mapcache_seed_non_zero_exit.patch (applied upstream)
     - mapcache_seed_delete_mode.patch (applied upstream)
     - mapcache_seed_typo.patch (applied upstream)
   * Use pkgkde-gensymbols & pkgkde-symbolshelper to handle symbols.
   * Add patch to use a versioned SONAME.
   * SONAME of libmapcache changed from libmapcache.so.0 to
     libmapcache.so.1.
   * Update libmapcache symbols for 1.2.0 on amd64.
   * Enable verbose make output.
   * Call ldconfig in libmapcache postinst and postrm.
   * Update libmapserver dependency for MapServer 6.4.0.
   * Add patch to include mapserver cmake package.
   * Build-Depend on libtiff-dev for libtiff5 transition.
Checksums-Sha1: 
 7575c6c502990d91d87e08a24e5120c1721e5bec 2047 mapcache_1.2.0-1.dsc
 9f820f44f89810767ab2c3d4cae709c48d51b792 257608 mapcache_1.2.0.orig.tar.gz
 59d0cbc096c2bd81175b7108808e418f75c4c267 12204 mapcache_1.2.0-1.debian.tar.gz
 a481a917f438ad93f2493a17ff439a708d556116 100890 libmapcache1_1.2.0-1_i386.deb
 ef7b3c8249ee4f322c90361a7f9c1d514cbb20a8 18082 libmapcache1-dev_1.2.0-1_i386.deb
 c79d01ccc08c4c739baec4744a518e02f27e18ad 9766 mapcache-cgi_1.2.0-1_i386.deb
 32762221a145b62f028b35bacbba0975b9272c33 19564 mapcache-tools_1.2.0-1_i386.deb
 155c654fa21d1e2933920416b204abc60587e73d 21514 libapache2-mod-mapcache_1.2.0-1_i386.deb
Checksums-Sha256: 
 f449d1b4c6dfd24d6614056d2c3f7631016656e9780b1f31bafe9d4449e059fd 2047 mapcache_1.2.0-1.dsc
 0a8f428b479ece86cf2de846859c8b05f66de809c6e8fa09ea25e49df2fc96da 257608 mapcache_1.2.0.orig.tar.gz
 89e64b15d3b2b81b50c562009ea40cd53354632a2e69fa957bb0cd3ba4126a7a 12204 mapcache_1.2.0-1.debian.tar.gz
 56d5a82ccd86086a5ee1aa34a21c824310bef7978c0e0028dcdb6320a3cf7479 100890 libmapcache1_1.2.0-1_i386.deb
 474c844ea1a929f6a3d7ba0aded13fbe75c74e4077610cb1a9982f4a696b2447 18082 libmapcache1-dev_1.2.0-1_i386.deb
 5506e9e3a37ba7d0de21632f596d4532a1d9d9fa29283a2a3b205781c6f6c700 9766 mapcache-cgi_1.2.0-1_i386.deb
 409dd740a84ec7ee9c1751bd76941fee9bfaaf0b048e2afef17caa60175e733c 19564 mapcache-tools_1.2.0-1_i386.deb
 576f03574eec5241fd9ab290e0b4a90419d5fbc03703ba985a231f99bc570aec 21514 libapache2-mod-mapcache_1.2.0-1_i386.deb
Files: 
 3f944836cc72ae54b289a223082e6657 2047 devel extra mapcache_1.2.0-1.dsc
 821a2742b963243c252eccb9194af67a 257608 devel extra mapcache_1.2.0.orig.tar.gz
 9e4023ab16d6ee0c7eff4c53f706598f 12204 devel extra mapcache_1.2.0-1.debian.tar.gz
 44e59b29b101650ab3b91d533017bb20 100890 libs extra libmapcache1_1.2.0-1_i386.deb
 bfddd99cbd4ed616aede3bfa442be0e6 18082 libdevel extra libmapcache1-dev_1.2.0-1_i386.deb
 fd8c77e22fa3cbe489023f9362cce1d9 9766 web extra mapcache-cgi_1.2.0-1_i386.deb
 82b1631c2ce2526127d2baf476c5211e 19564 misc extra mapcache-tools_1.2.0-1_i386.deb
 dc84108515ed95909c4eb8fe2e0cc1a9 21514 web extra libapache2-mod-mapcache_1.2.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlJKtqoACgkQpFNRmenyx0cI9ACgs3t9Tl71IO+ES1Eq0FsjDoH1
VBMAoMiMvrKy+1UJJbM2DoZeGFfP/KvQ
=JBSM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 21 Dec 2013 07:33:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:38:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.